getDuplexMap <- function(seq, db) {
  
  seq1 <- gsub(pattern = "&.*", replacement = "", seq)
  seq1 <- strsplit(seq1, split = "")[[1]]
  seq2 <- gsub(pattern = ".*&", replacement = "", seq)
  seq2 <- strsplit(seq2, split = "")[[1]]
  
  db1 <- gsub(pattern = "&.*", replacement = "", db)
  db1 <- strsplit(db1, split = "")[[1]]
  db2 <- gsub(pattern = ".*&", replacement = "", db)
  db2 <- strsplit(db2, split = "")[[1]] 
  
  map1 <- db1
  map2 <- db2
  
  counter1 <- 0 
  for (i in rev(seq(along = map1))) {
    if (map1[i] == ")") {
      map1[i] <- "]"
      counter1 <- counter1 + 1
    } else if (map1[i] == "(" & counter1 > 0) {
      map1[i] <- "["
      counter1 <- counter1 - 1
    } else {
      next
    }
  }
  counter2 <- 0 
  for (i in seq(along = map2)) {
    if (map2[i] == "(") {
      map2[i] <- "]"
      counter2 <- counter2 + 1
    } else if (map2[i] == ")" & counter2 > 0) {
      map2[i] <- "["
      counter2 <- counter2 - 1
    } else {
      next
    }
  }
  
  bindbase1 <- seq1[map1 == "("]
  bindbase2 <- seq2[map2 == ")"]
  duplexBB <- paste0(bindbase1, rev(bindbase2))
  
  isWobble <- c(duplexBB == "GU" | duplexBB == "UG" | 
                duplexBB == "GT" | duplexBB == "TG")
  
  map1[map1 == "("][isWobble] <- "!"
  map2[map2 == ")"][rev(isWobble)] <- "!" 
  
  map1[map1 == "("] <- "|"
  map2[map2 == ")"] <- "|" 
  
  output <- c(seq1 = paste(seq1, collapse = ""), 
              map1 = paste(map1, collapse = ""), 
              seq2 = paste(seq2, collapse = ""), 
              map2 = paste(rev(map2), collapse = ""))
  
  return(output)
}