getInteracType <- function(mirMap, tarMap, tarSeq, supp = TRUE, mism = TRUE, 
                           suppNt = 4, compNt = 5, scReg = NULL) { 
  
  if (is.null(scReg)) {
    scReg <- 9:nchar(mirMap)
  }
  
  mirMap <- strsplit(mirMap, split = "")[[1]]
  tarMap <- strsplit(tarMap, split = "")[[1]]
  tarSeq <- strsplit(tarSeq, split = "")[[1]]
  
  tarPos1 <- character(0)
  if (mirMap[1] == "|" & mirMap[2] == "|") {
    id <- which(tarMap == "|")[1]
    tarPos1 = tarSeq[id]
  } else if (mirMap[1] != "|" & mirMap[2] == "|") {
    id <- which(tarMap == "|")[1] - 1
    tarPos1 = tarSeq[id]
  }
  
  a1 <- logical(0)
  if(length(tarPos1) == 0) {
    a1 <- FALSE
  } else {
    a1 <- tarPos1 == "A"
  }
  
  scRegion <- paste(mirMap[scReg], collapse = "")
  suppPat <- paste(rep("\\|", suppNt), collapse = "")
  suppSite <- grepl(suppPat, scRegion)
  compPat <- paste(rep("\\|", compNt), collapse = "")
  compSite <- grepl(compPat, scRegion)
  
  suppCond <- supp & suppSite 
  compCond <- compSite
  mismCond <- mism
  
  if (all(mirMap != "|")) {
    return("no_binding")
  } else if (sum(mirMap == "|") < 2) {
    return("not_defined")
  } else if (all(mirMap[2:7] == "|") & mirMap[8] != "|" & a1 & suppCond) {
    return("7mer_A1_supp")
  } else if (all(mirMap[2:7] == "|") & mirMap[8] != "|" & a1) {
    return("7mer_A1")
  } else if (all(mirMap[2:8] == "|") & !a1 & suppCond) {
    return("7mer_m8_supp")
  } else if (all(mirMap[2:8] == "|") & !a1) {
    return("7mer_m8")
  } else if (all(mirMap[2:8] == "|") & a1 & suppCond) {
    return("8mer_supp")
  } else if (all(mirMap[2:8] == "|") & a1) {
    return("8mer")
  } else if (all(mirMap[2:7] == "|") & mirMap[8] != "|" & !a1 & suppCond) {
    return("6mer_supp")
  } else if (all(mirMap[2:7] == "|") & mirMap[8] != "|" & !a1) {
    return("6mer")
  } else if (all(mirMap[3:8] == "|") & mirMap[2] != "|" & suppCond) {
    return("offset_6mer_supp")
  } else if (all(mirMap[3:8] == "|") & mirMap[2] != "|") {
    return("offset_6mer")
  } else if (all(mirMap[1:3] != "|") & all(mirMap[4:15] == "|") | 
             all(mirMap[1:4] != "|") & all(mirMap[5:16] == "|")) {
    return("NonCa_centred")
  } else if (sum(mirMap[2:7] == "|") == 5 & compCond) {
    return("NonCa_compensatory")
  } else if (sum(mirMap[2:7] == "|") <= 5 & !mismCond) { 
    return("NonCa")
  } else if (sum(mirMap[2:7] == "|") == 5) {
    return("NonCa_1mism")
  } else if (sum(mirMap[2:7] == "|") == 4) {
    return("NonCa_2mism")
  } else if (sum(mirMap[2:7] == "|") == 3) {
    return("NonCa_3mism")
  } else if (sum(mirMap[2:7] == "|") == 2) {
    return("NonCa_4mism")
  } else if (sum(mirMap[2:7] == "|") == 1) {
    return("NonCa_5mism")
  } else if (sum(mirMap[2:7] == "|") == 0) {
    return("NonCa_6mism")
  } 
}