getSeqBaseComp <- function(seq, prop = TRUE, rd = TRUE, digits = 3, thy = TRUE) {
  
  seq <- strsplit(seq, split = "")[[1]]
  seq <- toupper(seq)
  
  if (thy) {
    seq <- gsub("U", "T", seq)
    nu <- c("A", "C", "G", "T")
  } else {
    seq <- gsub("T", "U", seq)
    nu <- c("A", "C", "G", "U")
  }
  
  nuComp <- integer(4)
  names(nuComp) <- nu
  for (i in seq(along = nu)) {
    nuComp[i] <- sum(seq == nu[i])
  }
  
  dinuSeq <- paste0(seq[- length(seq)], seq[2:length(seq)])
  
  dinu <- apply(expand.grid(nu, nu), 1, paste, collapse = "")
  dinu <- sort(dinu)
  
  dinuComp <- integer(16)
  names(dinuComp) <- dinu
  for (i in seq(along = dinu)) {
    dinuComp[i] <- sum(dinuSeq == dinu[i])
  } 
  
  if (prop) {
    nuComp <- nuComp / sum(nuComp)
    dinuComp <- dinuComp / sum(dinuComp)
  }
  if (rd) {
    nuComp <- round(nuComp, digits)
    dinuComp <- round(dinuComp, digits)
  } 
  
  otherComp <- numeric(4)
  names(otherComp) <- c("weak", "strong", "purine", "pyrimidine")
  otherComp[1] <- nuComp[1] + nuComp[4]
  otherComp[2] <- nuComp[2] + nuComp[3] 
  otherComp[3] <- nuComp[1] + nuComp[3]
  otherComp[4] <- nuComp[2] + nuComp[4]
  
  output <- c(nuComp, otherComp, dinuComp)
  
  return(output)
}
