\name{getDuplexMap}
\alias{getDuplexMap}
\title{
Mapping MiRNA-Target Interaction
}
\description{
Transforms the dot-bracket notation into anoother symbol system
that allows for an easy identification of GU wobbles and
intramolecular base pairs.
}
\usage{
getDuplexMap(seq, db)
}
\arguments{
  \item{seq}{
  character string containing two concatenated RNA sequences
  using "&" character as separator. Both sequences must be in
  5' to 3' direction.
}
  \item{db}{
  character string containing duplex secondary structure in
  dot-bracket notation.
}
}
\details{
The symbol system adopted to represent the interactions
consists of the following elements:
"|" (Watson-Crick base pair), "!" (GU wobble),
"[]" (Intramolecular base pair) and "." (mismatch).
}
\value{
getDuplexMap returns a named string vector containing
individual sequence and map for each of the two RNAs.
Note that the map for the second RNA is given 
in 3' to 5' direction.
}
\examples{
duplex_seq <- "UUCACAGUGGCUAAGUUCCGC&CUACAUGGAAAUUUACUGUGAAAGAGUACGAGAUUUGCUGAAU"
duplex_db <- "((((((((((.....(((((.&.....)))))..))))))))))..((((.......))))...."
getDuplexMap(seq = duplex_seq, db = duplex_db)
}
