\name{getSeqBaseComp}
\alias{getSeqBaseComp}
\title{
Get Base Composition of Nucleotide Sequence
}
\description{
Performs a count of nucleotides and dinucleotides of the sequence.
}
\usage{
getSeqBaseComp(seq, prop = TRUE, rd = TRUE, digits = 3, thy = TRUE)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{seq}{
  character string containing the sequence.
  Uppercase and lowercase are allowed.
}
  \item{prop}{
  logical value indicating whether the base composition
  of the sequence should be given in percentages.
}
  \item{rd}{
  logical value indicating whether the percentage values
  should be rounded.
}
  \item{digits}{
  integer indicating the number of decimal places if values
  are rounded.
}
  \item{thy}{
  logical value that indicates if the bases of uracil (U)
  should be transformed into bases of thymine (T).
}
}
\value{
getSeqBaseComp returns a named numeric vector containing
the nucleotide (A, C, G, T or U) and dinucleotide
(AA, AC, ... TG, TT) composition of the sequence.
A-T content (weak), G-C content (strong),
purine and pirymidine contentet are also calculated.
}
\examples{
sequence <- "CUGGUUUCACAUGGUGGCUUAG"
getSeqBaseComp(seq = sequence, thy = FALSE)
}

